[[tags: manual]]

== Supported language

* [[The R5RS standard]]
* [[Deviations from the standard]]  
* [[Extensions to the standard]]  
* [[Non-standard read syntax]]    
* [[Non-standard macros and special forms]]
* [[Macros]]
* [[Modules]]
* [[Declarations]]
* [[Parameters]]
* [[Exceptions]]
* [[Unit library]] Basic Scheme definitions
* [[Unit eval]] Evaluation
* [[Unit expand]] Modules and macros handling
* [[Unit data-structures]] Data structures
* [[Unit ports]] I/O ports
* [[Unit files]] File and pathname operations
* [[Unit extras]] Useful utility definitions
* [[Unit regex]] Regular expressions
* [[Unit srfi-1]] List Library
* [[Unit srfi-4]] Homogeneous numeric vectors
* [[Unit srfi-13]] String library
* [[Unit srfi-14]] Character set library              
* [[Unit srfi-18]] multithreading
* [[Unit srfi-69]] Hashtable Library
* [[Unit posix]] Unix-like services
* [[Unit utils]] Shell scripting and file operations
* [[Unit tcp]] Basic TCP-sockets
* [[Unit lolevel]] Low-level operations

---
Previous: [[Using the interpreter]]

Next: [[Interface to external functions and variables]]
